Index: drivers/dahdi/dahdi_echocan_sec2.c
===================================================================
--- drivers/dahdi/dahdi_echocan_sec2.c	(revision 4608)
+++ drivers/dahdi/dahdi_echocan_sec2.c	(working copy)
@@ -49,7 +49,7 @@
 static int debug;
 
 #define module_printk(level, fmt, args...) printk(level "%s: " fmt, THIS_MODULE->name, ## args)
-#define debug_printk(level, fmt, args...) if (debug >= level) printk("%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
+#define debug_printk(level, fmt, args...) if (debug >= level) printk(KERN_DEBUG "%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
 
 #include "fir.h"
 
Index: drivers/dahdi/dahdi_dynamic.c
===================================================================
--- drivers/dahdi/dahdi_dynamic.c	(revision 4608)
+++ drivers/dahdi/dahdi_dynamic.c	(working copy)
@@ -158,9 +158,9 @@
 		master->master = 1;
 	spin_unlock_irqrestore(&dlock, flags);
 	if (master)
-		printk("TDMoX: New master: %s\n", master->span.name);
+		printk(KERN_INFO "TDMoX: New master: %s\n", master->span.name);
 	else
-		printk("TDMoX: No master.\n");
+		printk(KERN_INFO "TDMoX: No master.\n");
 }
 
 static void ztd_sendmessage(struct dahdi_dynamic *z)
@@ -292,7 +292,7 @@
 		spin_unlock_irqrestore(&dlock, flags);
 		newerr = ERR_LEN;
 		if (newerr != ztd->err) {
-			printk("Span %s: Insufficient samples for header (only %d)\n", span->name, msglen);
+			printk(KERN_NOTICE "Span %s: Insufficient samples for header (only %d)\n", span->name, msglen);
 		}
 		ztd->err = newerr;
 		return;
@@ -303,7 +303,7 @@
 		spin_unlock_irqrestore(&dlock, flags);
 		newerr = ERR_NSAMP | msg[0];
 		if (newerr != 	ztd->err) {
-			printk("Span %s: Expected %d samples, but receiving %d\n", span->name, DAHDI_CHUNKSIZE, msg[0]);
+			printk(KERN_NOTICE "Span %s: Expected %d samples, but receiving %d\n", span->name, DAHDI_CHUNKSIZE, msg[0]);
 		}
 		ztd->err = newerr;
 		return;
@@ -321,7 +321,7 @@
 		spin_unlock_irqrestore(&dlock, flags);
 		newerr = ERR_NCHAN | nchans;
 		if (newerr != ztd->err) {
-			printk("Span %s: Expected %d channels, but receiving %d\n", span->name, span->channels, nchans);
+			printk(KERN_NOTICE "Span %s: Expected %d channels, but receiving %d\n", span->name, span->channels, nchans);
 		}
 		ztd->err = newerr;
 		return;
@@ -346,7 +346,7 @@
 		spin_unlock_irqrestore(&dlock, flags);
 		newerr = ERR_LEN | xlen;
 		if (newerr != ztd->err) {
-			printk("Span %s: Expected message size %d, but was %d instead\n", span->name, xlen, msglen);
+			printk(KERN_NOTICE "Span %s: Expected message size %d, but was %d instead\n", span->name, xlen, msglen);
 		}
 		ztd->err = newerr;
 		return;
@@ -403,7 +403,7 @@
 
 	/* note if we had a missing packet */
 	if (rxpos != rxcnt)
-		printk("Span %s: Expected seq no %d, but received %d instead\n", span->name, rxcnt, rxpos);
+		printk(KERN_NOTICE "Span %s: Expected seq no %d, but received %d instead\n", span->name, rxcnt, rxpos);
 
 	/* If this is our master span, then run everything */
 	if (master)
@@ -473,7 +473,7 @@
 	/* Don't destroy span until it is in use */
 	if (z->usecount) {
 		spin_unlock_irqrestore(&dlock, flags);
-		printk("Attempt to destroy dynamic span while it is in use\n");
+		printk(KERN_NOTICE "Attempt to destroy dynamic span while it is in use\n");
 		return -EBUSY;
 	}
 	/* Unlink it */
@@ -513,7 +513,7 @@
 		z->usecount++;
 	}
 	if(!try_module_get(THIS_MODULE))
-		printk("TDMoX: Unable to increment module use count\n");
+		printk(KERN_NOTICE "TDMoX: Unable to increment module use count\n");
 	return 0;
 }
 
@@ -543,11 +543,11 @@
 	int bufsize;
 
 	if (zds->numchans < 1) {
-		printk("Can't be less than 1 channel (%d)!\n", zds->numchans);
+		printk(KERN_NOTICE "Can't be less than 1 channel (%d)!\n", zds->numchans);
 		return -EINVAL;
 	}
 	if (zds->numchans >= DAHDI_DYNAMIC_MAX_CHANS) {
-		printk("Can't create dynamic span with greater than %d channels.  See ztdynamic.c and increase DAHDI_DYNAMIC_MAX_CHANS\n", zds->numchans);
+		printk(KERN_NOTICE "Can't create dynamic span with greater than %d channels.  See ztdynamic.c and increase DAHDI_DYNAMIC_MAX_CHANS\n", zds->numchans);
 		return -EINVAL;
 	}
 
@@ -637,7 +637,7 @@
 	/* Another race -- should let the module get unloaded while we
 	   have it here */
 	if (!ztd) {
-		printk("No such driver '%s' for dynamic span\n", zds->driver);
+		printk(KERN_NOTICE "No such driver '%s' for dynamic span\n", zds->driver);
 		dynamic_destroy(z);
 		return -EINVAL;
 	}
@@ -645,7 +645,7 @@
 	/* Create the stuff */
 	z->pvt = ztd->create(&z->span, z->addr);
 	if (!z->pvt) {
-		printk("Driver '%s' (%s) rejected address '%s'\n", ztd->name, ztd->desc, z->addr);
+		printk(KERN_NOTICE "Driver '%s' (%s) rejected address '%s'\n", ztd->name, ztd->desc, z->addr);
 		/* Creation failed */
 		return -EINVAL;
 	}
@@ -655,7 +655,7 @@
 
 	/* Whee!  We're created.  Now register the span */
 	if (dahdi_register(&z->span, 0)) {
-		printk("Unable to register span '%s'\n", z->span.name);
+		printk(KERN_NOTICE "Unable to register span '%s'\n", z->span.name);
 		dynamic_destroy(z);
 		return -EINVAL;
 	}
@@ -701,7 +701,7 @@
 		if (copy_from_user(&zds, (DAHDI_DYNAMIC_SPAN *)data, sizeof(zds)))
 			return -EFAULT;
 		if (debug)
-			printk("Dynamic Create\n");
+			printk(KERN_DEBUG "Dynamic Create\n");
 		res = create_dynamic(&zds);
 		if (res < 0)
 			return res;
@@ -714,7 +714,7 @@
 		if (copy_from_user(&zds, (DAHDI_DYNAMIC_SPAN *)data, sizeof(zds)))
 			return -EFAULT;
 		if (debug)
-			printk("Dynamic Destroy\n");
+			printk(KERN_DEBUG "Dynamic Destroy\n");
 		return destroy_dynamic(&zds);
 	}
 
@@ -823,7 +823,7 @@
 #ifdef ENABLE_TASKLETS
 	tasklet_init(&ztd_tlet, ztd_tasklet, 0);
 #endif
-	printk("DAHDI Dynamic Span support LOADED\n");
+	printk(KERN_INFO "DAHDI Dynamic Span support LOADED\n");
 	return 0;
 }
 
@@ -837,7 +837,7 @@
 #endif
 	dahdi_set_dynamic_ioctl(NULL);
 	del_timer(&alarmcheck);
-	printk("DAHDI Dynamic Span support unloaded\n");
+	printk(KERN_INFO "DAHDI Dynamic Span support unloaded\n");
 }
 
 module_param(debug, int, 0600);
Index: drivers/dahdi/dahdi_dynamic_eth.c
===================================================================
--- drivers/dahdi/dahdi_dynamic_eth.c	(revision 4608)
+++ drivers/dahdi/dahdi_dynamic_eth.c	(working copy)
@@ -286,7 +286,7 @@
 	}
 	spin_unlock_irqrestore(&zlock, flags);
 	if (cur == z) {	/* Successfully removed */
-		printk("TDMoE: Removed interface for %s\n", z->span->name);
+		printk(KERN_INFO "TDMoE: Removed interface for %s\n", z->span->name);
 		kfree(z);
 		module_put(THIS_MODULE);
 	}
@@ -313,7 +313,7 @@
 			tmp2++;
 			dahdi_copy_string(z->ethdev, tmp, sizeof(z->ethdev));
 		} else {
-			printk("Invalid TDMoE address (no device) '%s'\n", addr);
+			printk(KERN_NOTICE "Invalid TDMoE address (no device) '%s'\n", addr);
 			kfree(z);
 			return NULL;
 		}
@@ -341,12 +341,12 @@
 					tmp3 = strchr(tmp2, ':');
 			}
 			if (x != 6) {
-				printk("TDMoE: Invalid MAC address in: %s\n", addr);
+				printk(KERN_NOTICE "TDMoE: Invalid MAC address in: %s\n", addr);
 				kfree(z);
 				return NULL;
 			}
 		} else {
-			printk("TDMoE: Missing MAC address\n");
+			printk(KERN_NOTICE "TDMoE: Missing MAC address\n");
 			kfree(z);
 			return NULL;
 		}
@@ -360,7 +360,7 @@
 				if (*tmp3 >= '0' && *tmp3 <= '9') {
 					sub += (*tmp3 - '0') * mul;
 				} else {
-					printk("TDMoE: Invalid subaddress\n");
+					printk(KERN_NOTICE "TDMoE: Invalid subaddress\n");
 					kfree(z);
 					return NULL;
 				}
@@ -375,7 +375,7 @@
 #endif
 				z->ethdev);
 		if (!z->dev) {
-			printk("TDMoE: Invalid device '%s'\n", z->ethdev);
+			printk(KERN_NOTICE "TDMoE: Invalid device '%s'\n", z->ethdev);
 			kfree(z);
 			return NULL;
 		}
@@ -384,14 +384,14 @@
 		for (x=0;x<5;x++)
 			sprintf(src + strlen(src), "%02x:", z->dev->dev_addr[x]);
 		sprintf(src + strlen(src), "%02x", z->dev->dev_addr[5]);
-		printk("TDMoE: Added new interface for %s at %s (addr=%s, src=%s, subaddr=%d)\n", span->name, z->dev->name, addr, src, ntohs(z->subaddr));
+		printk(KERN_INFO "TDMoE: Added new interface for %s at %s (addr=%s, src=%s, subaddr=%d)\n", span->name, z->dev->name, addr, src, ntohs(z->subaddr));
 
 		spin_lock_irqsave(&zlock, flags);
 		z->next = zdevs;
 		zdevs = z;
 		spin_unlock_irqrestore(&zlock, flags);
 		if(!try_module_get(THIS_MODULE))
-			printk("TDMoE: Unable to increment module use count\n");
+			printk(KERN_DEBUG "TDMoE: Unable to increment module use count\n");
 	}
 	return z;
 }
Index: drivers/dahdi/wct1xxp.c
===================================================================
--- drivers/dahdi/wct1xxp.c	(revision 4608)
+++ drivers/dahdi/wct1xxp.c	(working copy)
@@ -279,7 +279,7 @@
 		kfree(wc->chans[x]);
 	}
 	kfree(wc);
-	printk("Freed a Wildcard\n");
+	printk(KERN_INFO "Freed a Wildcard\n");
 }
 
 static int t1xxp_close(struct dahdi_chan *chan)
@@ -310,7 +310,7 @@
 	schedule_timeout(1);
 	outb(DELAY | 0x01, wc->ioaddr + WC_CNTL);
 	outb(0x01, wc->ioaddr + WC_OPER);
-	if (debug) printk("Started DMA\n");
+	if (debug) printk(KERN_DEBUG "Started DMA\n");
 }
 
 static void __t1xxp_stop_dma(struct t1xxp *wc)
@@ -332,7 +332,7 @@
 
 	/* No such thing under E1 */
 	if (wc->ise1) {
-		printk("Can't set clear mode on an E1!\n");
+		printk(KERN_NOTICE "Can't set clear mode on an E1!\n");
 		return;
 	}
 
@@ -380,7 +380,7 @@
 	/* Set outgoing LBO */
 	__t1_set_reg(wc, 0x7c, wc->span.txlevel << 5);
 
-	printk("Using %s/%s coding/framing\n", coding, framing);
+	printk(KERN_DEBUG "Using %s/%s coding/framing\n", coding, framing);
 	if (!alreadyrunning) {
 		/* Setup the clear channels */
 		__t1xxp_set_clear(wc);
@@ -448,7 +448,7 @@
 	__t1_set_reg(wc, 0x7c, wc->span.txlevel << 5);
 #endif
 
-	printk("Using %s/%s coding/framing%s 120 Ohms\n", coding, framing,crcing);
+	printk(KERN_DEBUG "Using %s/%s coding/framing%s 120 Ohms\n", coding, framing,crcing);
 	if (!alreadyrunning) {
 	
 		__t1_set_reg(wc,0x1b,0x8a); /* CCR3: LIRST & TSCLKM */
@@ -492,7 +492,7 @@
 	wc->ise1 = (res & 0x80) ? (1 << 4) : 0;
 	spin_unlock_irqrestore(&wc->lock, flags);
 
-	printk("Framer: %s, Revision: %d (%s)\n", chips[chipid], res & 0xf, wc->ise1 ? "E1" : "T1");
+	printk(KERN_DEBUG "Framer: %s, Revision: %d (%s)\n", chips[chipid], res & 0xf, wc->ise1 ? "E1" : "T1");
 	return 0;
 }
 
@@ -625,7 +625,7 @@
 		t1xxp_e1_framer_start(wc);
 	else
 		t1xxp_t1_framer_start(wc);
-	printk("Calling startup (flags is %d)\n", span->flags);
+	printk(KERN_INFO "Calling startup (flags is %d)\n", span->flags);
 
 	if (!alreadyrunning) {
 		/* Only if we're not already going */
@@ -674,7 +674,7 @@
 			res = -ENOSYS;
 			break;
 		default:
-			printk("wct1xxp/E1: Unknown maint command: %d\n", cmd);
+			printk(KERN_NOTICE "wct1xxp/E1: Unknown maint command: %d\n", cmd);
 			res = -EINVAL;
 			break;
 		}
@@ -706,7 +706,7 @@
 			__t1_set_reg(wc,0x30,0);	/* stop sending loopup code */
 			break;
 	    default:
-			printk("wct1xxp/T1: Unknown maint command: %d\n", cmd);
+			printk(KERN_NOTICE "wct1xxp/T1: Unknown maint command: %d\n", cmd);
 			res = -EINVAL;
 	   }
 	}
@@ -795,7 +795,7 @@
 		wc->chans[x]->chanpos = x + 1;
 	}
 	if (dahdi_register(&wc->span, 0)) {
-		printk("Unable to register span with DAHDI\n");
+		printk(KERN_NOTICE "Unable to register span with DAHDI\n");
 		return -1;
 	}
 	return 0;
@@ -900,10 +900,10 @@
 	oldcan = *canary;
 	if (((oldcan & 0xffff0000) >> 16) != CANARY) {
 		/* Check top part */
-		if (debug) printk("Expecting top %04x, got %04x\n", CANARY, (oldcan & 0xffff0000) >> 16);
+		if (debug) printk(KERN_DEBUG "Expecting top %04x, got %04x\n", CANARY, (oldcan & 0xffff0000) >> 16);
 		wc->span.irqmisses++;
 	} else if ((oldcan & 0xffff) != ((wc->canary - 1) & 0xffff)) {
-		if (debug) printk("Expecting bottom %d, got %d\n", wc->canary - 1, oldcan & 0xffff);
+		if (debug) printk(KERN_DEBUG "Expecting bottom %d, got %d\n", wc->canary - 1, oldcan & 0xffff);
 		wc->span.irqmisses++;
 	}
 	for (y=0;y<DAHDI_CHUNKSIZE;y++) {
@@ -921,7 +921,7 @@
 						control_set_reg(wc, WC_CLOCK, 0x02 | wc->sync | wc->ise1);
 						wc->clocktimeout = 100;
 #if 1
-						if (debug) printk("T1: Lost our place, resyncing\n");
+						if (debug) printk(KERN_DEBUG "T1: Lost our place, resyncing\n");
 #endif
 					}
 				}
@@ -930,7 +930,7 @@
 			if (!wc->clocktimeout && !wc->span.alarms) {
 				if ((rxbuf[32 * y + ((3 + WC_OFFSET + wc->offset) & 0x1f)] & 0x7f) != 0x1b) {
 					if (wc->miss) {
-						if (debug) printk("Double miss (%d, %d)...\n", wc->misslast, rxbuf[32 * y + ((3 + WC_OFFSET + wc->offset) & 0x1f)]);
+						if (debug) printk(KERN_DEBUG "Double miss (%d, %d)...\n", wc->misslast, rxbuf[32 * y + ((3 + WC_OFFSET + wc->offset) & 0x1f)]);
 						control_set_reg(wc, WC_CLOCK, 0x02 | wc->sync | wc->ise1);
 						wc->clocktimeout = 100;
 					} else {
@@ -1088,7 +1088,7 @@
 	/* If receiving alarms, go into Yellow alarm state */
 	if (alarms && (!wc->span.alarms)) {
 #if 0
-		printk("Going into yellow alarm\n");
+		printk(KERN_DEBUG "Going into yellow alarm\n");
 #endif
 		if (wc->ise1)
 			__t1_set_reg(wc, 0x21, 0x7f); 
@@ -1132,7 +1132,7 @@
 			wc->span.alarms &= ~(DAHDI_ALARM_RECOVER);
 			/* Clear yellow alarm */
 #if 0
-			printk("Coming out of alarm\n");
+			printk(KERN_DEBUG "Coming out of alarm\n");
 #endif
 			if (wc->ise1)
 				__t1_set_reg(wc, 0x21, 0x5f);
@@ -1160,7 +1160,7 @@
 	outb(ints, wc->ioaddr + WC_INTSTAT);
 
 	if (!wc->intcount) {
-		if (debug) printk("Got interrupt: 0x%04x\n", ints);
+		if (debug) printk(KERN_DEBUG "Got interrupt: 0x%04x\n", ints);
 	}
 	wc->intcount++;
 
@@ -1198,10 +1198,10 @@
 	}
 	
 	if (ints & 0x10) 
-		printk("PCI Master abort\n");
+		printk(KERN_INFO "PCI Master abort\n");
 
 	if (ints & 0x20)
-		printk("PCI Target abort\n");
+		printk(KERN_INFO "PCI Target abort\n");
 
 	return IRQ_RETVAL(1);
 }
@@ -1242,10 +1242,10 @@
 	/* Second frame */
 	outl(wc->readdma + DAHDI_CHUNKSIZE * 32 * 2 - 4, wc->ioaddr + WC_DMARE);	/* End */
 	
-	if (debug) printk("Setting up DMA (write/read = %08lx/%08lx)\n", (long)wc->writedma, (long)wc->readdma);
+	if (debug) printk(KERN_DEBUG "Setting up DMA (write/read = %08lx/%08lx)\n", (long)wc->writedma, (long)wc->readdma);
 
 	/* Check out the controller */
-	if (debug) printk("Controller version: %02x\n", control_get_reg(wc, WC_VERSION));
+	if (debug) printk(KERN_DEBUG "Controller version: %02x\n", control_get_reg(wc, WC_VERSION));
 
 
 	control_set_reg(wc, WC_LEDTEST, 0x00);
@@ -1292,7 +1292,7 @@
 		/* 32 channels, Double-buffer, Read/Write */
 		(unsigned char *)pci_alloc_consistent(pdev, DAHDI_MAX_CHUNKSIZE * 32 * 2 * 2, &wc->writedma);
 	if (!wc->writechunk) {
-		printk("wct1xxp: Unable to allocate DMA-able memory\n");
+		printk(KERN_NOTICE "wct1xxp: Unable to allocate DMA-able memory\n");
 		return -ENOMEM;
 	}
 	
@@ -1315,7 +1315,7 @@
 	pci_set_drvdata(pdev, wc);
 	
 	if (request_irq(pdev->irq, t1xxp_interrupt, DAHDI_IRQ_SHARED_DISABLED, "t1xxp", wc)) {
-		printk("t1xxp: Unable to request IRQ %d\n", pdev->irq);
+		printk(KERN_NOTICE "t1xxp: Unable to request IRQ %d\n", pdev->irq);
 		kfree(wc);
 		return -EIO;
 	}
@@ -1344,7 +1344,7 @@
 	/* Misc. software stuff */
 	t1xxp_software_init(wc);
 	
-	printk("Found a Wildcard: %s\n", wc->variety);
+	printk(KERN_INFO "Found a Wildcard: %s\n", wc->variety);
 
 	return 0;
 }
Index: drivers/dahdi/dahdi_echocan_sec.c
===================================================================
--- drivers/dahdi/dahdi_echocan_sec.c	(revision 4608)
+++ drivers/dahdi/dahdi_echocan_sec.c	(working copy)
@@ -50,7 +50,7 @@
 static int debug;
 
 #define module_printk(level, fmt, args...) printk(level "%s: " fmt, THIS_MODULE->name, ## args)
-#define debug_printk(level, fmt, args...) if (debug >= level) printk("%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
+#define debug_printk(level, fmt, args...) if (debug >= level) printk(KERN_DEBUG "%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
 
 #include "arith.h"
 
Index: drivers/dahdi/pciradio.c
===================================================================
--- drivers/dahdi/pciradio.c	(revision 4608)
+++ drivers/dahdi/pciradio.c	(working copy)
@@ -746,13 +746,13 @@
 
 	if (ints & 0x10) {
 		/* Stop DMA, wait for watchdog */
-		printk("RADIO PCI Master abort\n");
+		printk(KERN_INFO "RADIO PCI Master abort\n");
 		pciradio_stop_dma(rad);
 		return IRQ_RETVAL(1);
 	}
 	
 	if (ints & 0x20) {
-		printk("RADIO PCI Target abort\n");
+		printk(KERN_INFO "RADIO PCI Target abort\n");
 		return IRQ_RETVAL(1);
 	}
 
@@ -907,14 +907,14 @@
 						    if (debug)
 							{
 								if (rad->present_code[x])
-								    printk("Chan %d got rx (ctcss code %d)\n",x + 1,
+								    printk(KERN_DEBUG "Chan %d got rx (ctcss code %d)\n",x + 1,
 									cttable_rx[rad->rxcode[x][rad->present_code[x]]].code);
 								else
-								    printk("Chan %d got rx\n",x + 1);
+								    printk(KERN_DEBUG "Chan %d got rx\n",x + 1);
 							}
 						    dahdi_hooksig(&rad->chans[x],DAHDI_RXSIG_OFFHOOK);
 						} else {
-						    if (debug) printk("Chan %d lost rx\n",x + 1);
+						    if (debug) printk(KERN_DEBUG "Chan %d lost rx\n",x + 1);
 						    dahdi_hooksig(&rad->chans[x],DAHDI_RXSIG_ONHOOK);
 						}
 						rad->encdec.req[x] = 1; 
@@ -1427,7 +1427,7 @@
 
 static int pciradio_watchdog(struct dahdi_span *span, int event)
 {
-	printk("PCI RADIO: Restarting DMA\n");
+	printk(KERN_INFO "PCI RADIO: Restarting DMA\n");
 	pciradio_restart_dma(span->pvt);
 	return 0;
 }
@@ -1455,11 +1455,11 @@
 		rad->gottx[chan->chanpos - 1] = 0;
 		break;
 	default:
-		printk("pciradio: Can't set tx state to %d\n", txsig);
+		printk(KERN_DEBUG "pciradio: Can't set tx state to %d\n", txsig);
 		break;
 	}
 	if (debug) 
-		printk("pciradio: Setting Radio hook state to %d on chan %d\n", txsig, chan->chanpos);
+		printk(KERN_DEBUG "pciradio: Setting Radio hook state to %d on chan %d\n", txsig, chan->chanpos);
 	return 0;
 }
 
@@ -1492,7 +1492,7 @@
 
 	rad->span.pvt = rad;
 	if (dahdi_register(&rad->span, 0)) {
-		printk("Unable to register span with DAHDI\n");
+		printk(KERN_NOTICE "Unable to register span with DAHDI\n");
 		return -1;
 	}
 	return 0;
@@ -1540,10 +1540,10 @@
 	endjif = jiffies + 10;
 	while (inb(rad->ioaddr + RAD_AUXR) & (XINIT | XDONE) && (jiffies <= endjif));
 	if (endjif < jiffies) {
-		printk("Timeout waiting for INIT and DONE to go low\n");
+		printk(KERN_DEBUG "Timeout waiting for INIT and DONE to go low\n");
 		return -1;
 	}
-	if (debug) printk("fwload: Init and done gone to low\n");
+	if (debug) printk(KERN_DEBUG "fwload: Init and done gone to low\n");
 	/* De-assert PGM */
 	rad->ios |= XPGM;
 	outb(rad->ios, rad->ioaddr + RAD_AUXD);
@@ -1551,10 +1551,10 @@
 	endjif = jiffies + 10;
 	while (!(inb(rad->ioaddr + RAD_AUXR) & XINIT) && (jiffies <= endjif));
 	if (endjif < jiffies) {
-		printk("Timeout waiting for INIT to go high\n");
+		printk(KERN_DEBUG "Timeout waiting for INIT to go high\n");
 		return -1;
 	}
-	if (debug) printk("fwload: Init went high (clearing done)\nNow loading...\n");
+	if (debug) printk(KERN_DEBUG "fwload: Init went high (clearing done)\nNow loading...\n");
 	/* Assert CS+Write */
 	rad->ios &= ~XCS;
 	outb(rad->ios, rad->ioaddr + RAD_AUXD);
@@ -1567,33 +1567,33 @@
 		  /* if INIT drops, we're screwed, exit */
 		if (!(inb(rad->ioaddr + RAD_AUXR) & XINIT)) break;
 	   }
-	if (debug) printk("fwload: Transferred %d bytes into chip\n",x);
+	if (debug) printk(KERN_DEBUG "fwload: Transferred %d bytes into chip\n",x);
 	/* Wait for FIFO to clear */
 	endjif = jiffies + 2;
 	while (jiffies < endjif); /* wait */
-	printk("Transfered %d bytes into chip\n",x);
+	printk(KERN_DEBUG "Transfered %d bytes into chip\n",x);
 	/* De-assert CS+Write */
 	rad->ios |= XCS;
 	outb(rad->ios, rad->ioaddr + RAD_AUXD);
-	if (debug) printk("fwload: Loading done!\n");	
+	if (debug) printk(KERN_INFO "fwload: Loading done!\n");	
 	/* Wait for FIFO to clear */
 	endjif = jiffies + 2;
 	while (jiffies < endjif); /* wait */
 	if (!(inb(rad->ioaddr + RAD_AUXR) & XINIT))
 	   {
-		printk("Drove Init low!! CRC Error!!!\n");
+		printk(KERN_NOTICE "Drove Init low!! CRC Error!!!\n");
 		return -1;
 	   }
 	if (!(inb(rad->ioaddr + RAD_AUXR) & XDONE))
 	   {
-		printk("Did not get DONE signal. Short file maybe??\n");
+		printk(KERN_INFO "Did not get DONE signal. Short file maybe??\n");
 		return -1;
 	   }
 	wait_just_a_bit(2);
 	/* get the thingy started */
 	outb(0,rad->ioaddr + RAD_REGBASE);
 	outb(0,rad->ioaddr + RAD_REGBASE);
-	printk("Xilinx Chip successfully loaded, configured and started!!\n");
+	printk(KERN_INFO "Xilinx Chip successfully loaded, configured and started!!\n");
 
 	wait_just_a_bit(HZ/4);
 
@@ -1707,7 +1707,7 @@
 	for (x=0;x<RAD_MAX_IFACES;x++)
 		if (!ifaces[x]) break;
 	if (x >= RAD_MAX_IFACES) {
-		printk("Too many interfaces\n");
+		printk(KERN_NOTICE "Too many interfaces\n");
 		return -EIO;
 	}
 	
@@ -1735,7 +1735,7 @@
 			   32 bits.  Allocate an extra set just for control too */
 			rad->writechunk = pci_alloc_consistent(pdev, DAHDI_MAX_CHUNKSIZE * 2 * 2 * 2 * 4, &rad->writedma);
 			if (!rad->writechunk) {
-				printk("pciradio: Unable to allocate DMA-able memory\n");
+				printk(KERN_NOTICE "pciradio: Unable to allocate DMA-able memory\n");
 				if (rad->freeregion)
 					release_region(rad->ioaddr, 0xff);
 				return -ENOMEM;
@@ -1745,7 +1745,7 @@
 			rad->readdma = rad->writedma + DAHDI_MAX_CHUNKSIZE * 8;		/* in bytes */
 
 			if (pciradio_initialize(rad)) {
-				printk("pciradio: Unable to intialize\n");
+				printk(KERN_INFO "pciradio: Unable to intialize\n");
 				/* Set Reset Low */
 				x=inb(rad->ioaddr + RAD_CNTL);
 				outb((~0x1)&x, rad->ioaddr + RAD_CNTL);
@@ -1789,7 +1789,7 @@
 			}
 
 			if (request_irq(pdev->irq, pciradio_interrupt, DAHDI_IRQ_SHARED, "pciradio", rad)) {
-				printk("pciradio: Unable to request IRQ %d\n", pdev->irq);
+				printk(KERN_NOTICE "pciradio: Unable to request IRQ %d\n", pdev->irq);
 				if (rad->freeregion)
 					release_region(rad->ioaddr, 0xff);
 				pci_free_consistent(pdev, DAHDI_MAX_CHUNKSIZE * 2 * 2 * 2 * 4, (void *)rad->writechunk, rad->writedma);
@@ -1805,7 +1805,7 @@
 
 			/* Start DMA */
 			pciradio_start_dma(rad);
-			printk("Found a PCI Radio Card\n");
+			printk(KERN_INFO "Found a PCI Radio Card\n");
 			res = 0;
 		} else
 			res = -ENOMEM;
@@ -1819,7 +1819,7 @@
 	if (rad->freeregion)
 		release_region(rad->ioaddr, 0xff);
 	kfree(rad);
-	printk("Freed a PCI RADIO card\n");
+	printk(KERN_INFO "Freed a PCI RADIO card\n");
 }
 
 static void __devexit pciradio_remove_one(struct pci_dev *pdev)
Index: drivers/dahdi/wcte12xp/vpmadt032.c
===================================================================
--- drivers/dahdi/wcte12xp/vpmadt032.c	(revision 4608)
+++ drivers/dahdi/wcte12xp/vpmadt032.c	(working copy)
@@ -89,7 +89,7 @@
 	}
 	if (curcmd) {
 #if 0
-		printk("Found command txident = %d, desc = 0x%x, addr = 0x%x, data = 0x%x\n", curcmd->txident, curcmd->desc, curcmd->addr, curcmd->data);
+		printk(KERN_DEBUG "Found command txident = %d, desc = 0x%x, addr = 0x%x, data = 0x%x\n", curcmd->txident, curcmd->desc, curcmd->addr, curcmd->data);
 #endif
 		if (curcmd->flags & __VPM150M_RWPAGE) {
 			/* Set CTRL access to page*/
@@ -783,6 +783,7 @@
 		set_bit(VPM150M_HPIRESET, &vpm150m->control);
 		msleep(2000);
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
@@ -791,10 +792,12 @@
 		gpakWriteDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
 		gpakWriteDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
@@ -802,10 +805,12 @@
 			msg[i] = 0xbeef;
 		gpakWriteDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
@@ -813,10 +818,12 @@
 			msg[i] = 0x1111;
 		gpakWriteDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
@@ -824,10 +831,12 @@
 			msg[i] = 0x2222;
 		gpakWriteDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
 		gpakReadDspMemory(vpm150m->dspid, 0x1000, TEST_SIZE, msg);
+		debug_printk(1, "");
 		for (i = 0; i< TEST_SIZE; i++)
 			printk("%x ", msg[i]);
 		printk("\n");
@@ -836,7 +845,7 @@
 #if defined(HOTPLUG_FIRMWARE)
 		if ((request_firmware(&firmware, vpmadt032_firmware, &pdev->dev) != 0) ||
 		    !firmware) {
-			printk("VPMADT032: firmware %s not available from userspace\n", vpmadt032_firmware);
+			printk(KERN_NOTICE "VPMADT032: firmware %s not available from userspace\n", vpmadt032_firmware);
 			goto failed_exit;
 		}
 #else
Index: drivers/dahdi/wcte12xp/wcte12xp.h
===================================================================
--- drivers/dahdi/wcte12xp/wcte12xp.h	(revision 4608)
+++ drivers/dahdi/wcte12xp/wcte12xp.h	(working copy)
@@ -88,8 +88,8 @@
 
 #define NOT_VPM -1
 
-#define module_printk(fmt, args...) printk("%s: " fmt, te12xp_driver.name, ## args)
-#define debug_printk(level, fmt, args...) if (debug >= level) printk("%s (%s): " fmt, te12xp_driver.name, __FUNCTION__, ## args)
+#define module_printk(fmt, args...) printk(KERN_INFO "%s: " fmt, te12xp_driver.name, ## args)
+#define debug_printk(level, fmt, args...) if (debug >= level) printk(KERN_DEBUG "%s (%s): " fmt, te12xp_driver.name, __FUNCTION__, ## args)
 extern spinlock_t ifacelock;
 
 struct command {
Index: drivers/dahdi/wcte12xp/base.c
===================================================================
--- drivers/dahdi/wcte12xp/base.c	(revision 4608)
+++ drivers/dahdi/wcte12xp/base.c	(working copy)
@@ -195,7 +195,7 @@
 		   	if (ident == wc->rxident) {
 				/* Store result */
 				wc->cmdq.cmds[x].data |= readchunk[CMD_BYTE(cs_slot,2,is_vpm)];
-				/*printk("answer in rxident=%d cs_slot=%d is %d CMD_BYTE=%d jiffies=%d\n", ident, cs_slot, last_read_command, CMD_BYTE(cs_slot, 2), jiffies); */
+				/*printk(KERN_INFO "answer in rxident=%d cs_slot=%d is %d CMD_BYTE=%d jiffies=%d\n", ident, cs_slot, last_read_command, CMD_BYTE(cs_slot, 2), jiffies); */
 				wc->cmdq.cmds[x].flags |= __CMD_FIN;
 				if (wc->cmdq.cmds[x].flags & (__CMD_WR | __CMD_LEDS))
 					/* clear out writes (and leds) since they need no ack */
@@ -459,7 +459,7 @@
 		kfree(wc->chans[x]);
 	}
 	kfree(wc);
-	printk("Freed a Wildcard TE12xP\n");
+	printk(KERN_INFO "Freed a Wildcard TE12xP\n");
 }
 
 static void t4_serial_setup(struct t1 *wc)
